Page 1 of 1

Install kodi on centos 8

Posted: 2020/05/16 01:12:20
by bibberce
Am i the only one who is trying to install kodi on centos 8.
Only that i found is on kodi page how to build kodi but i don't have knowledge to do that.
Does maybe someone have rpm package to install kodi on centos 8, or some other useful information for me, how to install it on centos 8.
Thank you very much.

Re: Install kodi on centos 8

Posted: 2020/07/09 02:29:44
by centMan
Hi,
I'm new to the forum, and have never had to join a forum to fix a problem, but... A recent update seems to have broken / removed packages / libraries that Kodi and VLC (what I had installed) use. I'm stuck in dependency hell, and pretty sure it is the same libraries / packages you need for Kodi

Re: Install kodi on centos 8

Posted: 2020/07/09 02:37:31
by centMan
I tried install in Kodi
dnf -y install kodi kodi-common kodi-eventclients kodi-firewalld kodi-peripheral-joystick kodi-wayland kodi-x11
Last metadata expiration check: 0:00:29 ago on Wed 08 Jul 2020 10:08:54 PM EDT.
Error:
Problem 1: conflicting requests
- nothing provides libcrystalhd(x86-64) needed by kodi-common-18.7-1.el8.x86_64
Problem 2: conflicting requests
- nothing provides libtinyxml.so.0()(64bit) needed by kodi-peripheral-joystick-1.4.8-2.el8.x86_64
Problem 3: conflicting requests
- nothing provides libtinyxml.so.0()(64bit) needed by kodi-wayland-18.7-1.el8.x86_64
- nothing provides libass.so.9()(64bit) needed by kodi-wayland-18.7-1.el8.x86_64
- nothing provides liblirc_client.so.0()(64bit) needed by kodi-wayland-18.7-1.el8.x86_64
- nothing provides libnfs.so.13()(64bit) needed by kodi-wayland-18.7-1.el8.x86_64
Problem 4: conflicting requests
- nothing provides libtinyxml.so.0()(64bit) needed by kodi-x11-18.7-1.el8.x86_64
- nothing provides libass.so.9()(64bit) needed by kodi-x11-18.7-1.el8.x86_64
- nothing provides liblirc_client.so.0()(64bit) needed by kodi-x11-18.7-1.el8.x86_64
- nothing provides libnfs.so.13()(64bit) needed by kodi-x11-18.7-1.el8.x86_64
Problem 5: package kodi-18.7-1.el8.x86_64 requires kodi-common = 18.7-1.el8, but none of the providers can be installed
- conflicting requests
- nothing provides libcrystalhd(x86-64) needed by kodi-common-18.7-1.el8.x86_64
(try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)

Re: Install kodi on centos 8

Posted: 2020/07/09 19:59:37
by bonedome
Hello
you seem to be trying to install both wayland and x11 versions, any particular reason for that ?
Which repo is kodi coming from, I don't have CentOS 8 installed so can't check but I'm guessing rpmfusion and the missing libs are maybe from epel repo, is that installed and enabled.
If not

Code: Select all

$ sudo dnf install https://dl.fedoraproject.org/pub/epel/epel-release-latest-8.noarch.rpm
If all else fails https://flathub.org/apps/details/tv.kodi.Kodi it's what I use on CentOS 7

Re: Install kodi on centos 8

Posted: 2020/07/09 22:58:16
by centMan
Well, I had VLC installed and it recently, after an update broke,

Error:
Problem: conflicting requests
- nothing provides libjack.so.0()(64bit) needed by vlc-1:3.0.11-1.el8.x86_64
- nothing provides libfluidsynth.so.1()(64bit) needed by vlc-1:3.0.11-1.el8.x86_64
(try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)

When I saw this post, I thought I used Kodi in CentOS 7, and that will fix my recent inability to stream media. And I didn't want to hijack this post. I just grabbed a how to install Kodi on CentOS 8

https://www.getpagespeed.com/desktop/ho ... tos-rhel-8

Then just went with it, I've been fighting with this for while and just want something to work. And looking at that link again, Kodi isn't coming from any repo on my system :roll:

# repoquery -i kodi
Last metadata expiration check: 0:18:50 ago on Thu 09 Jul 2020 06:32:22 PM EDT.
#

I already have
# dnf install https://dl.fedoraproject.org/pub/epel/e ... noarch.rpm
Last metadata expiration check: 0:20:30 ago on Thu 09 Jul 2020 06:32:22 PM EDT.
epel-release-latest-8.noarch.rpm 33 kB/s | 22 kB 00:00
Package epel-release-8-8.el8.noarch is already installed.
Dependencies resolved.
Nothing to do.
Complete!

I may need to step back and take another look at this.

Re: Install kodi on centos 8

Posted: 2020/07/10 00:02:13
by TrevorH
I assume your copies of vlc and kodi come from rpmfusion. As far as I know, no-one from rpmfusion reads these forums, they either have their own or, more likely, they have a bug tracker that you can use to report problems. It's likely that some of the updates in the recent release of CentOS 8.2 will mean they need to rebuild the packages they supply. Since rpmfusion mostly exists for Fedora and CentOS/RHEL is less used, you may find they don't even run it to test their builds so they need to be told when things break.

Re: Install kodi on centos 8

Posted: 2020/07/10 23:32:25
by centMan
Thank you, and yes
% repoquery -i vlc | grep Repository
Last metadata expiration check: 0:00:52 ago on Fri 10 Jul 2020 07:23:49 PM EDT.
Repository : rpmfusion-free-updates-source
Repository : rpmfusion-free-updates

I ended up going to https://pkgs.org/ and installing all the missing RPMs, after 38 installations, VLC is working again. I'll bounce over there and see what they say.

Re: Install kodi on centos 8

Posted: 2020/09/11 15:58:03
by Nicram
bibberce wrote:
2020/05/16 01:12:20
Am i the only one who is trying to install kodi on centos 8.
You are not.
I was trying to do it myself, but it isn't so easy, so i prepared script for that that make my computer to be HTPC with KODI start on boot.
Here is the link: https://www.marcinwilk.eu/pl/projects/h ... with-kodi/

But if You just want to start KODI as app, You may use flatpak package. from command line do:

Code: Select all

dnf -y install snap
flatpak remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo
flatpak -y install flathub tv.kodi.Kodi
flatpak override --user --share=network --share=ipc --socket=x11 --socket=wayland --socket=fallback-x11 --socket=pulseaudio --socket=system-bus --socket=session-bus --device=all --device=dri --device=shm --allow=devel --allow=multiarch --allow=bluetooth --allow=canbus --filesystem=host tv.kodi.Kodi
Then just start kodi with:

Code: Select all

flatpak run tv.kodi.Kodi